FreeMat

- Main Page
- Related Pages

vtkTemporalSnapToTimeStep

Section: Visualization Toolkit Hybrid Classes

# Usage

vtkTemporalSnapToTimeStep modify the time range or time steps of the data without changing the data itself. The data is not resampled by this filter, only the information accompanying the data is modified.

To create an instance of class vtkTemporalSnapToTimeStep, simply invoke its constructor as follows

      obj = vtkTemporalSnapToTimeStep

# Methods

The class vtkTemporalSnapToTimeStep has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTemporalSnapToTimeStep class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTemporalSnapToTimeStep = obj.NewInstance ()`
- `vtkTemporalSnapToTimeStep = obj.SafeDownCast (vtkObject o)`
- `obj.SetSnapMode (int )`
- `int = obj.GetSnapMode ()`
- `obj.SetSnapModeToNearest ()`
- `obj.SetSnapModeToNextBelowOrEqual ()`
- `obj.SetSnapModeToNextAboveOrEqual ()`